This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 474282 - ntfs-config creates fstab line with fuseblk instead of ntfs-3g
ntfs-config creates fstab line with fuseblk instead of ntfs-3g
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: ntfs-config (Show other bugs)
10
All Linux
low Severity high
: ---
: ---
Assigned To: Xavier Lamien
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-12-02 23:53 EST by Edward Kuns
Modified: 2009-12-18 02:06 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-12-18 02:06:51 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Edward Kuns 2008-12-02 23:53:19 EST
I used ntfs-config to configure a mount for my NTFS partition.  (I already had it in fstab under /winders but wanted to try the new config utility.)  It appeared to work at first try.  However, upon reboot, my new /media/winders was never mounted.  This turned out to be caused by a bogus entry in fstab created by ntfs-config:

#Entry for /dev/sda3 :
UUID=0A18365B183645CB /media/winders fuseblk defaults,allow_other,blksize=4096
0 0

See bug 473805.

Until I corrected the fstab by changing "fuseblk" to "ntfs-3g" the new fstab entry did not work.  When I made this change, it worked.  The bogus fstab entry was created by

ntfs-config-1.0.1-2.fc10.noarch
Comment 1 Edward Kuns 2009-01-19 23:42:34 EST
Is anyone responsible for this component?
Comment 2 Xavier Lamien 2009-01-20 05:10:52 EST
sorry, i was late on that one.
will check this out
Comment 3 Xavier Lamien 2009-02-01 09:03:35 EST
hmm...
Could you perform "ntfs-config-root --debug --query-database=all" command line and upload its full output somewhere.

Currently, it just works fine from my side:

=======
fstab:
=======

#Entry for /dev/sdb1 :
UUID=EC80E28C80E25C98   /media/Lxt_-_PATA160    ntfs-3g defaults,locale=en_US.UTF-8     0       0


==============
debug data:
==============
Info for sdb1 :
-> DEV=sdb1
-> FS_DRIVERS={'all': {'ntfs-3g': ['ntfs-3g', 'Read-write driver', 0], 'ntfs': ['ntfs', 'Unknow driver', 0], 'ntfs-fuse': ['ntfs-fuse', 'Read-write driver', 0], 'auto': ['auto', 'Secondary Driver', 0]}, 'primary': [['ntfs-fuse', 'Read-write driver', 0], ['ntfs', 'Unknow driver', 0], ['ntfs-3g', 'Read-write driver', 0]], 'secondary': [['auto', 'Secondary Driver', 0]]}
-> FS_LABEL_ENC=Lxt\x20-\x20PATA160
-> PATH=pci-0000:00:1d.7-usb-0:1:1.0-scsi-0:0:0:0
-> MODEL=USB_Mass_Storage_Device
-> FS_UUID_ENC=EC80E28C80E25C98
-> FS_UUID=EC80E28C80E25C98
-> BUS=usb
-> FS_LABEL=Lxt - PATA160
-> FS_USAGE=filesystem
-> DEV_NUM=2065
-> VENDOR=Myson_Century,_Inc.
-> PARENT=sdb
-> FS_VERSION=3.1
-> FS_TYPE=ntfs
-> REMOVABLE=False
-> DEVICE=/dev/sdb1
-> SERIAL=Myson_Century,_Inc._USB_Mass_Storage_Device
-> FS_LABEL_SAFE=Lxt_-_PATA160
-> MINOR=17
-> SIZE=163921572864.0
-> MAJOR=8
-> IGNORE=False
-> SYSFS_PATH=/sys/block/sdb/sdb1
Comment 4 Bug Zapper 2009-11-18 04:37:30 EST
This message is a reminder that Fedora 10 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 10.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '10'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 10's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 10 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 5 Bug Zapper 2009-12-18 02:06:51 EST
Fedora 10 changed to end-of-life (EOL) status on 2009-12-17. Fedora 10 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.